Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class MultiValueMap<K,V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,java.util.Set<V>>
              org.mindswap.pellet.utils.MultiValueMap<K,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<K,java.util.Set<V>>

    public class MultiValueMap<K,V>

extends java.util.HashMap<K,java.util.Set<V>>
implements java.util.Map<K,java.util.Set<V>>

Title:

Description:

Copyright: Copyright (c) 2007

Company: Clark & Parsia, LLC.

Author:
  Evren Sirin
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`MultiValueMap()`

Method Summary
`boolean` | `add(K key, java.util.Set<V> newValues)`
`boolean` | `add(K key, V value)`
`java.util.Set<V>` | `put(K key, java.util.Set<V> values)`
`java.util.Set<V>` | `put(K key, V value)`
`boolean` | `remove(K key, V value)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Constructor Detail

### MultiValueMap

    public MultiValueMap()

Method Detail

### put

    public java.util.Set<V> put(K key,
                                V value)

### put

    public java.util.Set<V> put(K key,
                                java.util.Set<V> values)

  Specified by:
    `put` in interface `java.util.Map<K,java.util.Set<V>>`
  Overrides:
    `put` in class `java.util.HashMap<K,java.util.Set<V>>`

### add

    public boolean add(K key,
                       V value)

### remove

    public boolean remove(K key,
                          V value)

### add

    public boolean add(K key,
                       java.util.Set<V> newValues)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.